<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">

<head>
    <link
            href="https://fonts.googleapis.com/css2?family=Roboto+Condensed:wght@300;700&family=Roboto:wght@300;700&display=swap"
            rel="stylesheet">
    <style>
        body {
            background-color: white !important;
            margin: 0;
        }
    </style>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>CheersBeers</title>

    <!-- bootstrap -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css"
          integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js"
            integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj"
            crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js"
            integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN"
            crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"
            integrity="sha384-B4gt1jrGC7Jh4AgTPSdUtOBvfO8shuf57BaghqFfPlYxofvL8/KUEfYiJOMMV+rV"
            crossorigin="anonymous"></script>
    <!-- bootstrap -->

    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.3.1/css/all.css"
          integrity="sha384-mzrmE5qonljUremFsqc01SB46JvROS7bZs3IO2EmfFsd15uHvIt+Y8vEf7N7fWAU" crossorigin="anonymous">
    <script src="https://kit.fontawesome.com/876095b5f8.js" crossorigin="anonymous"></script>
    <link rel="stylesheet" href="../static/css/style.css" th:href="@{/css/style.css}">

    <script type="text/javascript" href="../static/js/main.js" th:href="@{/js/main.js}"></script>
    <link href="//maxcdn.bootstrapcdn.com/bootstrap/4.1.1/css/bootstrap.min.css" rel="stylesheet" id="bootstrap-css">
    <script src="//maxcdn.bootstrapcdn.com/bootstrap/4.1.1/js/bootstrap.min.js"></script>
    <script src="//cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>

</head>
<body>
<div th:replace="fragments/navbar.html :: header"></div>
<!--navigation bar-->
<!--<div class="nav-container">-->
<!--    <div class="wrapper">-->
<!--        <nav>-->
<!--            <div class="logo">-->
<!--                <a href="beers_page.html" th:href="@{/beers}"><img src="../static/images/logo_beer_page.png"-->
<!--                                                                   th:src="@{/images/logo_beer_page.png}"-->
<!--                                                                   alt="CHEERBEERS"></a>-->
<!--            </div>-->
<!--            <ul class="nav-items">-->

<!--                <li>-->
<!--                    Welcome <a href="#">Kevin</a>-->
<!--                </li>-->

<!--                <li>-->
<!--                    <div class="dropdown">-->
<!--                        <img class="profile-picture-nav" src="../static/images/defaultAvatar.jpg"-->
<!--                             th:src="@{/images/defaultAvatar.jpg}">-->
<!--                        <div class="dropdown-content">-->
<!--                            <div class="desc"><a href="#"> Profile</a></div>-->
<!--                            <div class="desc"><a href="#"> Add new beer</a></div>-->
<!--                            <div class="desc"><a href="#">My wishlist</a></div>-->
<!--                            <div class="desc"><a href="#">My drunklist</a></div>-->
<!--                            <div class="desc"><a href="#">logout</a></div>-->

<!--                        </div>-->
<!--                    </div>-->
<!--                </li>-->
<!--            </ul>-->
<!--        </nav>-->
<!--    </div>-->
<!--</div>-->
<!--navigation bar above-->

<div class="container emp-profile">

        <div class="row">
            <div class="col-md-4">
                <div class="profile-img">
                    <img src="../static/images/defaultAvatar.jpg" alt="profilepicture"
                         th:src="${user.getProfilePicture()}"/>
                    <div class="file btn btn-lg btn-primary">
                        Change Photo
                        <input type="file" name="file"/>
                    </div>
                </div>
            </div>
            <div class="col-md-6">
                <div class="profile-head">
                    <h5 th:text="${user.firstName} + ' '+ ${user.lastName}">
                        Kevin Hart
                    </h5>
                    <h6 th:text="${user.userName}">
                        kevinforthewin
                    </h6>
                    <p class="proile-rating">Have tried : <span th:text="${user.getDrunkenBeers().size()}">12</span> beers</p>
                    <ul class="nav nav-tabs" id="myTab" role="tablist">
                        <li class="nav-item">
                            <a class="nav-link active" id="home-tab" data-toggle="tab" href="#home" role="tab"
                               aria-controls="home" aria-selected="true">DrunkList</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" id="profile-tab" data-toggle="tab" href="#profile" role="tab"
                               aria-controls="profile" aria-selected="false">WishList</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" id="profile-tab2" data-toggle="tab" href="#profile2" role="tab"
                               aria-controls="profile" aria-selected="false">CreatedBeers</a>
                        </li>
                    </ul>
                </div>
            </div>
            <div class="col-md-2">
                <a th:href="@{/users/edit/__${user.userName}__}"  class="btn btn-secondary" role="button" >Edit profile details</a>
            </div>
        </div>
        <div class="row">
            <div class="col-md-4">
                <div class="profile-work">
                    <p>Profile information</p>
                    <a>username: </a><a th:text="${user.userName}"> Kevinforthewin</a></a><br/>
                    <a>first name: </a><a th:text="${user.firstName}"> Kevin</a></a><br/>
                    <a>last name: </a><a th:text="${user.lastName}"> Hart</a></a><br/>
                    <a>email: </a><a th:text="${user.email}"> kevinhrt@gmail.com</a></a><br/>
                </div>
            </div>
            <div class="col-md-8">
                <div class="tab-content profile-tab" id="myTabContent">
                    <div class="tab-pane fade show active" id="home" role="tabpanel" aria-labelledby="home-tab">
                        <div class="table-wrapper-scroll-y my-custom-scrollbar">
                            <table class="table table-bordered table-striped mb-0">
                                <thead>
                                <tr>

                                    <th scope="col">Beer name</th>
                                    <th scope="col">Style</th>
                                    <th scope="col">Country</th>
                                    <th scope="col">Brewery</th>
                                    <th scope="col">Rating</th>
                                    <th scope="col">ABV</th>
                                </tr>
                                </thead>
                                <tbody>
                                <tr th:each="beer : ${drunklist}">
                                    <td th:text="${beer.name}">Zagorka</td>
                                    <td th:text="${beer.style.style}">PaleAle</td>
                                    <td th:text="${beer.originCountry.country}">Country</td>
                                    <td th:text="${beer.brewery.brewery}">ZagorianBrewery</td>
                                    <td th:text="${beer.rating}">4.0</td>
                                    <td th:text="${beer.abv}">4.5%</td>
                                </tr>

                                </tbody>
                            </table>

                        </div>
                    </div>
                    <div class="tab-pane fade" id="profile" role="tabpanel" aria-labelledby="profile-tab">
                        <div class="table-wrapper-scroll-y my-custom-scrollbar">
                            <table class="table table-bordered table-striped mb-0">
                                <thead>
                                <tr>
                                    <th scope="col">Beer name</th>
                                    <th scope="col">Style</th>
                                    <th scope="col">Brewery</th>
                                    <th scope="col">Rating</th>
                                    <th scope="col">ABV</th>
                                    <th scope="col"> </th>
                                </tr>
                                </thead>
                                <tbody>
                                <tr th:each="beer : ${wishlist}">
                                    <td th:text="${beer.name}">Zagorka</td>
                                    <td th:text="${beer.style.style}">PaleAle</td>
                                    <td th:text="${beer.brewery.brewery}">ZagorianBrewery</td>
                                    <td th:text="${beer.rating}">4.0</td>
                                    <td th:text="${beer.abv}">4.5%</td>
<!--                                    <form th:action="@{/users/profile/{beerId}/removefromwishlist  (beerId = ${beer.getId()})}">-->
                                    <td>
                                        <form id="remove-fromwish-btn" th:action="@{'/beers/remove/wishlist/' + ${beer.id}}" method="post"><button type="submit" class="btn btn-info btn-sm" >remove</button></form></td>
<!--                                        <form th:action="@{'/beers/remove/wishlist/' + ${beer.id}}" ><button class="btn btn-info btn-sm"  >remov2e</button></form></td>-->

                                    </form>
                                </tr>

                                </tbody>
                            </table>

                        </div>
                    </div>
                    <div class="tab-pane fade" id="profile2" role="tabpanel" aria-labelledby="profile-tab">
                        <div class="table-wrapper-scroll-y my-custom-scrollbar">
                            <table class="table table-bordered table-striped mb-0">
                                <thead>
                                <tr>
                                    <th scope="col">Beer name2</th>
                                    <th scope="col">Style</th>
                                    <th scope="col">Brewery</th>
                                    <th scope="col">Rating</th>
                                    <th scope="col">ABV</th>
                                    <th scope="col"> </th>
                                    <th scope="col"> </th>
                                </tr>
                                </thead>
                                <tbody>
                                <tr th:each="beer : ${createdBeers}">
                                    <td th:text="${beer.name}">Zagorka</td>
                                    <td th:text="${beer.style.style}">PaleAle</td>
                                    <td th:text="${beer.brewery.brewery}">ZagorianBrewery</td>
                                    <td th:text="${beer.rating}">4.0</td>
                                    <td th:text="${beer.abv}">4.5%</td>
                                    <td> <a  th:href="@{'/beers/' + ${beer.getId()} +'/'}"  class="btn btn-info btn-sm" role="button" >Edit beer</a></td>
<!--                                    todo-->
                                    <td> <a  th:href="@{'/beers/delete/'+ ${beer.id}}"   class="btn btn-danger btn-sm" role="button" >Delete beer</a></td>
                                </tr>

                                </tbody>
                            </table>

                        </div>
                    </div>
                </div>
            </div>

</div>
</body>
</html>